# 开发部署流程

## 本地开发

- 更新最新代码

```shell
git pull
```

- 项目开发

- 提交代码

### github 版本发布

- 拉取远程仓库数据

```shell
# 拉取远程数据包括 tag 信息
git fetch origin --prune
```

- 版本发布， 生成 changelog 和  tag

```shell
# 1.0.0 表示当前要发布的版本
npm run release -- --release-as 1.1.2
```

```shell
# 如遇如下问题请删除 v1.1.5 分支
✔ bumping version in package.json from 1.1.6 to 1.1.6
Error in git-raw-commits: warning: refname 'v1.1.5' is ambiguous.

```

- push commit 和 tag 到远程

```shell
git push --follow-tags
```

- 创建 github releases: 直接讲 changelog 当前版本信息拷贝过去

### npm 包发布

- npm 包编译

```shell
npm run build:publish
```

- 发布包

```shell
# 1. 切换官方源头
npm config set registry http://registry.npmjs.org

# 2. 登录 npm
npm login

# 3. 发布包
npm publish --access public

# 4. 如果需要则切换回淘宝源 / https://registry.yarnpkg.com
npm config set registry https://registry.npm.taobao.org/
```
